#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		platform	linux-clang
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	qt6-qtlanguageserver
Version		:	6.7.3
Release		:	17.0.10.rel%{?dist}
Summary		:	Qt6 - LanguageServer component

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL-3.0
URL		:	https://download.qt.io/archive/qt/(vers/rel)/submodules

Source0		:	%{sname}-everywhere-src-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	: cmake
BuildRequires	: gcc-c++
BuildRequires	: qt6-qtbase-devel = %{version}

#-----------------------------------------------------------------------------
%description
The Qt Language Server component provides an implementation of the Language
Server protocol

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license LICENSES/*
%{_qt6_libdir}/libQt6JsonRpc.so.6*
%{_qt6_libdir}/libQt6LanguageServer.so.6*

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}			= %{version}
Requires	:	qt6-qtbase-devel	= %{version}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that
use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_qt6_headerdir}/QtJsonRpc/
%{_qt6_headerdir}/QtLanguageServer/
%{_qt6_libdir}/libQt6JsonRpc.prl
%{_qt6_libdir}/libQt6JsonRpc.so
%{_qt6_libdir}/libQt6LanguageServer.prl
%{_qt6_libdir}/libQt6LanguageServer.so
%{_qt6_libdir}/cmake/Qt6BuildInternals/StandaloneTests/QtLanguageServer*
%{_qt6_libdir}/cmake/Qt6JsonRpcPrivate/
%{_qt6_libdir}/cmake/Qt6LanguageServerPrivate/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_jsonrpc*.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_languageserver*.pri
%{_qt6_libdir}/qt6/metatypes/qt6*_metatypes.json
%{_qt6_libdir}/qt6/modules/JsonRpcPrivate.json
%{_qt6_libdir}/qt6/modules/LanguageServerPrivate.json

#=============================================================================
%prep
%setup -q -n %{sname}-everywhere-src-%{version}

#-----------------------------------------------------------------------------
#building application
%build

cmake							\
	-B _bld						\
	-G Ninja					\
	-S .						\
	-D CMAKE_BUILD_TYPE=RelWithDebInfo		\
	-D CMAKE_INSTALL_PREFIX=%{_qt6_prefix}		\
	-D CMAKE_INSTALL_LIBDIR=%{_qt6_libdir}		\
	-D CMAKE_MESSAGE_LOG_LEVEL=STATUS		\
	-D INSTALL_ARCHDATADIR=%{_qt6_archdatadir}	\
	-D INSTALL_BINDIR=%{_qt6_bindir}		\
	-D INSTALL_DOCDIR=%{_qt6_docdir}		\
	-D INSTALL_INCLUDEDIR=%{_qt6_headerdir}		\
	-D INSTALL_MKSPECSDIR=%{_qt6_mkspecsdir}	\
	-D INSTALL_PLUGINSDIR=%{_qt6_plugindir}		\
	-D CMAKE_MESSAGE_LOG_LEVEL=STATUS		\

cmake							\
	--build						\
	_bld						\
	--parallel %(/usr/bin/getconf _NPROCESSORS_ONLN)\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	cmake						\
	--install					\
	_bld

#-----------------------------------------------------------------------------
%changelog
